> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a chargepoint

> Creates a chargepoint. Required permission: assets:chargepoint:create



## OpenAPI

````yaml /api/core-api/crmiapi.json post /api/v1/assets/chargepoints
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/chargepoints:
    post:
      tags:
        - ChargePoints
      summary: Creates a chargepoint
      description: 'Creates a chargepoint. Required permission: assets:chargepoint:create'
      operationId: /api/v1/assets/chargepoints_POST
      parameters: []
      requestBody:
        description: 'Creates a chargepoint. Required permission: assets:chargepoint:create'
        content:
          application/json:
            schema:
              type: object
              required:
                - location_id
                - controller_id
                - station_id
                - evse_id
                - connector_id
              properties:
                location_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Location id
                controller_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Controller id
                station_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Station id
                export:
                  type: boolean
                  default: true
                  description: Export
                evse_id:
                  type: string
                  maxLength: 100
                  description: Evse Id
                phase:
                  type: string
                  enum:
                    - ac
                    - dc
                  description: Phase
                position:
                  type: string
                  maxLength: 255
                  description: Position
                parking_space_numbers:
                  type: string
                  maxLength: 20
                  description: Parking space numbers
                reserved_parking:
                  type: string
                  maxLength: 11
                  description: Reserved parking
                access:
                  type: string
                  enum:
                    - private
                    - public
                    - parapublic
                    - carsharing
                    - employee
                    - homecharger
                    - fleet
                  description: Access
                user:
                  type: string
                  maxLength: 100
                  description: User
                name:
                  type: string
                  maxLength: 100
                  description: Name
                connector_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Connector id
                sms_id:
                  type: integer
                  format: int32
                  description: Sms id
                reservable:
                  type: boolean
                  default: false
                  description: Reservable
                remote_stop_capable:
                  type: boolean
                  default: false
                  description: Remote stop capable
                in_roaming:
                  type: boolean
                  default: false
                  description: In roaming
                chargepoint_type:
                  type: string
                  enum:
                    - internal
                    - hubject
                    - ochp
                    - ocpi
                  description: Charge point type
                adhoc_type:
                  type: string
                  enum:
                    - free
                    - none
                    - standard
                  description: Adhoc type
                adhoc_sticker:
                  type: boolean
                  default: false
                  description: Adhoc sticker
                serial_number:
                  type: integer
                  format: int32
                  description: Serial number
                article_number:
                  type: integer
                  format: int32
                  description: Article number
                parking_restrictions:
                  type: string
                  maxLength: 100
                  description: Parking restrictions
                unlock_capable:
                  type: boolean
                  default: false
                  description: Unlock capable
                public_comment:
                  type: string
                  maxLength: 255
                  description: Public comment
        required: true
      responses:
        '201':
          description: ChargePoint created
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - chargepoint
                properties:
                  chargepoint:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: ChargePoint id
                      created_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of creation
                      updated_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of update
                      modification_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of Modification
                      status_modified:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of modification for the status
                      status:
                        type: string
                        enum:
                          - Available
                          - Reserved
                          - Occupied
                          - Faulted
                          - Unavailable
                          - Charging
                          - Finishing
                          - Preparing
                          - SuspendedEV
                          - SuspendedEVSE
                          - Undefined
                        description: Status
                      evse:
                        type: string
                        maxLength: 50
                        description: Evse
                      location_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Location id
                      controller_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Controller id
                      station_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Station id
                      export:
                        type: boolean
                        default: true
                        description: Export
                      evse_id:
                        type: string
                        maxLength: 100
                        description: Evse Id
                      phase:
                        type: string
                        enum:
                          - ac
                          - dc
                        description: Phase
                      position:
                        type: string
                        maxLength: 255
                        description: Position
                      parking_space_numbers:
                        type: string
                        maxLength: 20
                        description: Parking space numbers
                      reserved_parking:
                        type: string
                        maxLength: 11
                        description: Reserved parking
                      access:
                        type: string
                        enum:
                          - private
                          - public
                          - parapublic
                          - carsharing
                          - employee
                          - homecharger
                          - fleet
                        description: Access
                      user:
                        type: string
                        maxLength: 100
                        description: User
                      name:
                        type: string
                        maxLength: 100
                        description: Name
                      connector_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Connector id
                      sms_id:
                        type: integer
                        format: int32
                        description: Sms id
                      reservable:
                        type: boolean
                        default: false
                        description: Reservable
                      remote_stop_capable:
                        type: boolean
                        default: false
                        description: Remote stop capable
                      in_roaming:
                        type: boolean
                        default: false
                        description: In roaming
                      chargepoint_type:
                        type: string
                        enum:
                          - internal
                          - hubject
                          - ochp
                          - ocpi
                        description: Charge point type
                      adhoc_type:
                        type: string
                        enum:
                          - free
                          - none
                          - standard
                        description: Adhoc type
                      adhoc_sticker:
                        type: boolean
                        default: false
                        description: Adhoc sticker
                      serial_number:
                        type: integer
                        format: int32
                        description: Serial number
                      article_number:
                        type: integer
                        format: int32
                        description: Article number
                      parking_restrictions:
                        type: string
                        maxLength: 100
                        description: Parking restrictions
                      unlock_capable:
                        type: boolean
                        default: false
                        description: Unlock capable
                      public_comment:
                        type: string
                        maxLength: 255
                        description: Public comment
                    required:
                      - id
                      - created_at
                      - updated_at
                      - modification_date
                      - location_id
                      - controller_id
                      - station_id
                      - evse_id
                      - connector_id
                    description: ChargePoint
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '500':
          description: Internal server error
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:chargepoint
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Creates a parking](/api-reference/parking/creates-a-parking.md)
- [Creates a sensor](/api-reference/sensors/creates-a-sensor.md)
- [Creates a plug](/api-reference/plugs/creates-a-plug.md)
